<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.finance.mapper.IntOndaterangeAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="org.springblade.finance.entity.IntOndaterangeAccount">
        <id column="SID" property="sid" />
        <result column="THEMONTH" property="themonth" />
        <result column="CHANNELID" property="channelid" />
        <result column="SPID" property="spid" />
        <result column="VUSER_PLATFORM" property="vuserPlatform" />
        <result column="VUSER_ONDATERANGE" property="vuserOndaterange" />
        <result column="ACCOUNT_USERS" property="accountUsers" />
        <result column="MONEY1" property="money1" />
        <result column="MONEY1_DISCOUNT" property="money1Discount" />
        <result column="MONEY1_REAL" property="money1Real" />
        <result column="MONEY2" property="money2" />
        <result column="MONEY2_DISCOUNT1" property="money2Discount1" />
        <result column="MONEY2_DISCOUNT2" property="money2Discount2" />
        <result column="MONEY2_DISCOUNT3" property="money2Discount3" />
        <result column="MONEY2_DISCOUNT4" property="money2Discount4" />
        <result column="MONEY2_REAL" property="money2Real" />
        <result column="ADJUST_MONEY1" property="adjustMoney1" />
        <result column="ADJUST_MONEY2" property="adjustMoney2" />
        <result column="FLAG_RENDER" property="flagRender" />
        <result column="RENDER_USER" property="renderUser" />
        <result column="RENDER_TIME" property="renderTime" />
        <result column="PERCHECK_FLAG" property="percheckFlag" />
        <result column="PERCHECKER" property="perchecker" />
        <result column="PERCHECK_TIME" property="percheckTime" />
        <result column="ALLOW_FIRST_PUSH" property="allowFirstPush" />
        <result column="ALLOW_SECOND_PUSH" property="allowSecondPush" />
        <result column="BELONGTO" property="belongto" />
        <result column="MATCH_PCT" property="matchPct" />
        <result column="MATCH_VALUE" property="matchValue" />
        <result column="FLAG_RENDER2" property="flagRender2" />
        <result column="RENDER_USER2" property="renderUser2" />
        <result column="RENDER_TIME2" property="renderTime2" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        SID, THEMONTH, CHANNELID, SPID, VUSER_PLATFORM, VUSER_ONDATERANGE, ACCOUNT_USERS, MONEY1, MONEY1_DISCOUNT, MONEY1_REAL, MONEY2, MONEY2_DISCOUNT1, MONEY2_DISCOUNT2, MONEY2_DISCOUNT3, MONEY2_DISCOUNT4, MONEY2_REAL, ADJUST_MONEY1, ADJUST_MONEY2, FLAG_RENDER, RENDER_USER, RENDER_TIME, PERCHECK_FLAG, PERCHECKER, PERCHECK_TIME, ALLOW_FIRST_PUSH, ALLOW_SECOND_PUSH, BELONGTO, MATCH_PCT, MATCH_VALUE, FLAG_RENDER2, RENDER_USER2, RENDER_TIME2
    </sql>

</mapper>
